Change log for bumblebee package in Ubuntu

120 of 20 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2019-02-06
Deleted in disco-proposed (Reason: moved to release)
bumblebee (3.2.1-20) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Drop versioned constraints that are satisfied in wheezy.
  * Switch to debhelper-compat (= 12).

  [ Luca Boccassi ]
  * Enable all hardening build flags.
  * bumblebee-nvidia: add Ubuntu's dependencies for 390 and 410 series.

 -- Luca Boccassi <email address hidden>  Wed, 06 Feb 2019 11:57:48 +0000

Available diffs

Superseded in disco-release on 2019-02-06
Deleted in disco-proposed on 2019-02-07 (Reason: moved to release)
bumblebee (3.2.1-19) unstable; urgency=medium

  * Use wildcard to install bash completion file.
  * Backport patch to support AMD APU setups.
  * Backport patch to support nvidia drivers without bbswitch.
  * Bump Standards-Version to 4.3.0, no changes.
  * Set debhelper compat to 11.

 -- Luca Boccassi <email address hidden>  Mon, 31 Dec 2018 18:12:20 +0000

Available diffs

Superseded in disco-release on 2019-01-01
Deleted in disco-proposed on 2019-01-02 (Reason: moved to release)
bumblebee (3.2.1-18) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Add support for the 390xx legacy driver package available in Debian.
    (Closes: #916448)
  * The dbgsym migration was done in stretch.
  * Switch Vcs-* URLs to salsa.debian.org.
  * Set Rules-Requires-Root: no.

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.2.1.
  * Remove obsolete conffile /etc/init/bumblebeed.conf. Thanks Ansgar!
    (Closes: #914979)

 -- Luca Boccassi <email address hidden>  Fri, 14 Dec 2018 16:02:16 +0000

Available diffs

Published in xenial-updates on 2018-07-26
Deleted in xenial-proposed (Reason: moved to -updates)
bumblebee (3.2.1-10ubuntu1) xenial; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <email address hidden>  Wed, 11 Jul 2018 09:46:46 -0700
Superseded in disco-release on 2018-12-15
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-12-09
Deleted in bionic-proposed (Reason: moved to release)
bumblebee (3.2.1-17) unstable; urgency=medium

  * Switch the triggers to -noawait to fix Lintian warning and to make
    things easier for apt/dpkg. Both restarting bumblebeed and re-building
    the initramfs can be deferred.
  * B-D on debhelper (>= 9.20160709) instead of dh-systemd to fix L:E.
  * Switch Uploaders field to <email address hidden> email address.
  * Switch from priority extra to optional to fix L:W and comply with
    Policy 4.0.1.
  * Do not ship Upstart file anymore, fixes L:W.
  * Add 387 series to dependencies for Ubuntu.
  * Bump Standards-Version to 4.1.2.

 -- Luca Boccassi <email address hidden>  Fri, 08 Dec 2017 23:07:05 +0000

Available diffs

Superseded in bionic-release on 2017-12-09
Published in artful-release on 2017-07-02
Deleted in artful-proposed (Reason: moved to release)
bumblebee (3.2.1-16) unstable; urgency=medium

  * Ubuntu: fix typo in modprobe, really support 378

 -- Luca Boccassi <email address hidden>  Sun, 02 Jul 2017 10:36:52 +0100

Available diffs

Superseded in artful-release on 2017-07-02
Deleted in artful-proposed on 2017-07-04 (Reason: moved to release)
bumblebee (3.2.1-15) unstable; urgency=medium

  * Use https in debian/copyright
  * Bump Standards-Version to 4.0.0
  * Ubuntu: add support for 375, 378, 381 and 384

 -- Luca Boccassi <email address hidden>  Sat, 01 Jul 2017 19:43:52 +0100

Available diffs

Superseded in artful-release on 2017-07-02
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
bumblebee (3.2.1-14) unstable; urgency=medium

  * Add dependency to lsb-base (>= 3.0-6) to fix Lintian Error
  * Add blacklist and dependency for nvidia-367*

 -- Luca Boccassi <email address hidden>  Tue, 24 Jan 2017 14:20:27 +0000

Available diffs

Superseded in zesty-release on 2017-01-25
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
bumblebee (3.2.1-13) unstable; urgency=medium

  * Backport libkmod.patch from upstream develop branch and add build-dep
    on libkmod-dev. Definitively fixes all issues with multiple kernel
    modules loading/unloading.
  * Remove Ubuntu modprobe hack from debian/rules
  * Add restart-bumblebeed dpkg-trigger, to be used by update-glx when
    changing the provider of libglx.so and the nvidia kernel module.

 -- Luca Boccassi <email address hidden>  Sat, 11 Jun 2016 12:49:56 +0100

Available diffs

Superseded in yakkety-release on 2016-06-12
Deleted in yakkety-proposed on 2016-06-13 (Reason: moved to release)
bumblebee (3.2.1-12) unstable; urgency=medium

  [ Luca Boccassi ]
  * Set nvidia lib directory to /usr/lib/nvidia/nvidia to solve
    incompatibility between Bumblebee and concurrent installations of
    current plus legacyYYYxx Nvidia driver series on the same system.
  * Add ignore-systemd-logind-noise.patch and
    ignore-failure-to-set-DRM-interface.patch to ignore red herrings.
    (Closes: #822665)
  * Set Ubuntu default kernel driver to nvidia, which is provided as a
    modprobe alias by the nvidia-XYZ packages.

  [ Vincent Cheng ]
  * Use dh_strip --dbgsym-migration to cleanly migrate from old-style dbg
    packages to autogenerated dbgsym packages.

 -- Luca Boccassi <email address hidden>  Wed, 18 May 2016 00:17:59 +0100

Available diffs

Superseded in yakkety-release on 2016-05-18
Deleted in yakkety-proposed on 2016-05-19 (Reason: moved to release)
bumblebee (3.2.1-11) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Team upload.
  * Drop -dbg package in favor of autogenerated -dbgsym packages.
  * Update Vcs-* URLs.
  * Update Standards version to 3.9.8, no changes required.
  * Drop obsolete Debian NVIDIA package alternatives.
  * Add support for the 304xx/340xx legacy driver packages available in
    Debian.  (Closes: #802479, #717687)
  * Use vendor-specific maintainer scripts.
  * Add Luca Boccassi to Uploaders.

  [ Luca Boccassi ]
  * Mention kernel cmdline workaround for nvidia module load issues on
    some hardware, and related upstream tickets, in README.Debian.
    (Closes: #822330)
  * Run dh --with autoreconf to regenerate configure, Makefile, etc.
  * Add xorg-binary-config.patch to allow changing the Xorg binary in
    bumblebee.conf.
  * Add dependency on xserver-xorg-core >= 1.18 and set default binary
    to /usr/lib/xorg/Xorg in order to support xserver-xorg-legacy.
    (Closes: #815888)
  * Add 358, 361, 364 in alternate dep and blacklist.
  * Install modprobe blacklist in /usr/share/bumblebee/modprobe.d/ to avoid
    clash with the daemon config file.
  * Delete /etc/modprobe.d/bumblebee.conf already when bumblebee is removed,
    to not keep the blacklists active until it is purged.  (LP: #1242785)

 -- Andreas Beckmann <email address hidden>  Sat, 07 May 2016 23:42:16 +0200

Available diffs

Superseded in yakkety-release on 2016-05-08
Published in xenial-release on 2015-10-25
Deleted in xenial-proposed (Reason: moved to release)
bumblebee (3.2.1-10) unstable; urgency=medium

  * Team upload.
  * Blacklist the nvidia legacy kernel modules available in Debian.
  * Use the new /usr/lib/nvidia/bumblebee glx alternative.  (Closes: #802310)
  * Add Depends: glx-alternative-nvidia (>= 0.6.92) (only for Debian).
  * Trigger the glx-alternative-nvidia package after updating the alternative.
  * fix-typos.patch: New, fix some typos noticed by Lintian.

 -- Andreas Beckmann <email address hidden>  Wed, 21 Oct 2015 02:14:27 +0200

Available diffs

Superseded in xenial-release on 2015-10-25
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
bumblebee (3.2.1-9) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add modprobe remove in bumblebee.conf on Ubuntu to fix timeout when
    unloading nvidia-uvm.

  [ Vincent Cheng ]
  * Add nvidia-355 in alternate dep and blacklist.

 -- Vincent Cheng <email address hidden>  Fri, 14 Aug 2015 23:58:12 -0700

Available diffs

Superseded in wily-release on 2015-08-15
Deleted in wily-proposed on 2015-08-16 (Reason: moved to release)
bumblebee (3.2.1-8) unstable; urgency=medium

  [ Luca Boccassi ]
  * Cherry-pick patch for modprobe -r instead of rmmod (Closes: #793389)
  * Add nvidia-346, 349, and 352 in alternate dep and blacklist.

  [ Vincent Cheng ]
  * Move bumblebee bash-completion file from obsolete /etc/bash_completion.d/
    to /usr/share/bash-completion/completions/.

 -- Vincent Cheng <email address hidden>  Sat, 25 Jul 2015 19:28:48 -0700

Available diffs

Superseded in wily-release on 2015-07-26
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
bumblebee (3.2.1-7) unstable; urgency=medium


  * Move conffile handling introduced in 3.2.1-6 from bumblebee-nvidia
    to bumblebee.

 -- Vincent Cheng <email address hidden>  Sat, 25 Oct 2014 17:04:28 -0700

Available diffs

Superseded in vivid-release on 2014-10-26
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2014-01-06
Deleted in trusty-proposed (Reason: moved to release)
bumblebee (3.2.1-5) unstable; urgency=medium


  * Allow more nvidia flavours to satisfy bumblebee-nvidia's dependencies
    (relevant only for Ubuntu). (LP: #1261180)
  * Update Standards version to 3.9.5, no changes required.

 -- Vincent Cheng <email address hidden>  Mon, 06 Jan 2014 01:24:33 -0800

Available diffs

Superseded in trusty-release on 2014-01-06
Deleted in trusty-proposed on 2014-01-07 (Reason: moved to release)
bumblebee (3.2.1-4) unstable; urgency=low


  * Use dh-systemd (for systemd-specific additions to maintscripts).
    (Closes: #715270)
  * Add bumblebee group as system group (gid in between 100-999) instead
    of a regular group in postinst. (Closes: #718772)

 -- Vincent Cheng <email address hidden>  Tue, 20 Aug 2013 02:35:34 -0700

Available diffs

Superseded in trusty-release on 2013-10-24
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
bumblebee (3.2.1-3) unstable; urgency=low


  * Append /usr/lib/primus to CONF_PRIMUS_LD_PATH in d/rules to ease
    pre-multiarch backports. (Closes: #712665)
  * Have bumblebee depend on bbswitch-dkms | bbswitch-source, and
    bumblebee-nvidia depend on all possible m-a built nvidia modules.
  * Add support for nvidia-325 packaged in Ubuntu (not relevant for Debian).

 -- Vincent Cheng <email address hidden>  Thu, 11 Jul 2013 01:18:07 -0700

Available diffs

Superseded in saucy-release on 2013-07-17
Deleted in saucy-proposed on 2013-07-18 (Reason: moved to release)
bumblebee (3.2.1-2) unstable; urgency=low


  * Allow more nvidia flavours to satisfy bumblebee-nvidia's dependencies
    (relevant for Ubuntu).

 -- Vincent Cheng <email address hidden>  Wed, 29 May 2013 01:45:35 -0700

Available diffs

Superseded in saucy-release on 2013-06-06
Deleted in saucy-proposed on 2013-06-07 (Reason: moved to release)
bumblebee (3.2.1-1) unstable; urgency=low


  [ Aron Xu ]
  * Initial release (Closes: #659440).
  * Thanks to Peter Lekensteyn and Bruno Pagani, most stuff taken from the
    packaging for Ubuntu PPA.

  [ Vincent Cheng ]
  * Thanks to Igor Urazov for lots of the Debian-specific portions of the
    packaging.

 -- Vincent Cheng <email address hidden>  Fri, 03 May 2013 03:04:38 -0700
120 of 20 results